Class Specialization
Packed Triple
Stores three arbitrary objects. Saves memory by disabling memory alignment.

Triple

Packed Triple

Triple<T1, T2, T3, Compressed>
Include Headers
seqan/basic.h
Parameters

T1 | The type of the first object.
T2 | The type of the second object.
T3 | The type of the third object.

Remarks
Memory access could be slower. Direct access to members by pointers is not allowed on all platforms.
Specialization of
Triple
Data Members

i1 | T1 object
i2 | T2 object
i3 | T3 object

Member Functions

Triple | Constructor
Triple | Constructor

Functions

appendDiag | Adds diagonal to the seed. (Triple)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51